> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# delete proxy abi override by entity id



## OpenAPI

````yaml /openapi.json delete /api/v1/contract/{id}/implAbi
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/contract/{id}/implAbi:
    delete:
      tags:
        - Contract Route
      summary: delete proxy abi override by entity id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractWithAbiDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    ContractWithAbiDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        projectId:
          format: int64
          description: The project ID associated with the extractor contract
          type: integer
        chainUid:
          description: Network uid that associated with extractor contract
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        address:
          description: The direct address of the extractor contract
          type: string
        implementation:
          description: >-
            Implementation address associated with the extractor contract, not
            null means this is a proxy contract
          type: string
        name:
          description: Name for the entity
          type: string
        category:
          description: Contract category
          type: string
        tags:
          description: Contract tags
          uniqueItems: true
          type: array
          items:
            type: string
        addressType:
          description: The type of a provided address, could be "Contract" or "Wallet"
          type: string
          allOf:
            - $ref: '#/components/schemas/AddressType'
        amlRequired:
          description: 'If the AML detector required for this contract. Default: false'
          type: boolean
        icon:
          description: A URL of an icon for the contract
          type: string
        abi:
          description: 'Contract abi, example: [{"input": "source"}]'
          type: array
          items:
            type: object
            additionalProperties: {}
        abiOverride:
          description: True if we use an override for the abi
          type: boolean
        implAbi:
          description: 'Implementation abi, example: [{"input": "source"}]'
          type: array
          items:
            type: object
            additionalProperties: {}
        implAbiOverride:
          description: True if we use an override for the implementation abi
          type: boolean
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
    AddressType:
      enum:
        - CONTRACT
        - WALLET
        - ENTITY
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````